//
//  AuditionRepository.swift
//  SodaLive
//
//  Created by klaus on 1/5/25.
//

import Foundation
import CombineMoya
import Combine
import Moya

final class AuditionRepository {
    private let api = MoyaProvider<AuditionApi>()
    
    func getAuditionList(page: Int, size: Int) -> AnyPublisher<Response, MoyaError> {
        return api.requestPublisher(.getAuditionList(page: page, size: size))
    }
}
